
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Distributed Transactions / iVAN</title>

    <meta name="description" content="Distributed Transactions (转自saucer)在企业开发里,经常遇到的一个问题是需要做Distributed Transactions.一般推荐的做法是做成ServicedComponent,参考 Transaction ControlWriting Serviced Components 这种做法有几个问题,该组件以及所依赖组件必须是Strong-Named的,在通常的情形下(譬如Web Application里),我们需要手动注册组件.但这样,如果我们改动组件的话,需要停止服务,注销组件,然后重新注册组件.另外,这T">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Distributed Transactions</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>（转自saucer）<br />在企业开发里，经常遇到的一个问题是需要做Distributed Transactions。一般推荐的做法是做成ServicedComponent，参考</p>
<p>Transaction Control<br />Writing Serviced Components</p>
<p>这种做法有几个问题，该组件以及所依赖组件必须是Strong-Named的，在通常的情形下(譬如Web Application里)，我们需要手动注册组件。但这样，如果我们改动组件的话，需要停止服务，注销组件，然后重新注册组件。另外，这Transaction是declarative和automatic的，无法用编码精确控制 Transaction，而且declaration是在类的级别上的，无法在方法层次做 Transaction。其原因是，ServicedComponent是基于早期COM+的服务架构之上的，Transactional Context是与Object(对象)密切结合在一起的。</p>
<p>但在几年前随XP推出的COM+ 1.5 (Windows 2003服务器也有支持)里， Transactional Context可以独立于Object(对象)之外，极大地简化了Transactional programming。下面这篇2002年MSDN杂志上由COM+专家Tim Ewald介绍了相关的API (CoEnterServiceDomain/CoLeaveServiceDomain)，并且提供了C# wrapper 。</p>
<p>Discover Powerful Low-Level Programming in Windows XP with New COM+ APIs</p>
<p>在.NET 1.1里，同样的功能是由2个类，System.EnterpriseServices.ServiceDomain与System.EnterpriseServices.ServiceConfig，来实现的。</p>
<p>这里是Don Box去年7月12日的blog里的例子，</p>
<p>ServiceConfig config = newServiceConfig(); <br />config.Transaction = TransactionOption.Required; <br />ServiceDomain.Enter(config); <br />  MyTxCode(); <br />ServiceDomain.Leave();</p>
<p>在.NET 2.0里，根据Don，你可以这么做</p>
<p>using (TransactionScope scope = newTransactionScope()) <br />{ <br />  MyTxCode(); <br />  scope.Consistent = true; <br />}</p>
<p>也请参考</p>
<p>Using distributed transactions in .Net 1.x without deriving from ServicedComponent</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-21 15:05:34</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/config/" title="config">config</a>, <a href="https://www.iamivan.net/tag/%e7%bb%84%e4%bb%b6/" title="组件">组件</a>, <a href="https://www.iamivan.net/tag/transactions/" title="transactions">transactions</a>, <a href="https://www.iamivan.net/tag/transaction/" title="Transaction">Transaction</a>, <a href="https://www.iamivan.net/tag/enterpriseservices/" title="EnterpriseServices">EnterpriseServices</a>, <a href="https://www.iamivan.net/tag/transactional/" title="transactional">transactional</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Distributed Transactions的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze669wb.html" rel="bookmark">分布式系统&lpar;Distributed System&rpar;资料</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址:https://github.com/ty4z2008/Qix/blob/master/ds.md 希望转载的朋友,你可以不用联系我．但是**一定要保留原文链接**,因为这个项目还在继续也在不定期更新．希望看到文章的朋友能够学到更多． &lt;Reconfigurable Distributed Storage for Dynamic Networks&gt; 介绍:这是一篇介绍在动态网络里面实现分布式系统重构的paper.论文的作者(导师)是MIT读博的时候是做分布式系统的研究的,现在在NUS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNnvOWM.html" rel="bookmark">bigtable&colon; A Distributed Storage System for Structured Data</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				bigtable: A Distributed Storage System for Structured Data http://static.googleusercontent.com/external_content/untrusted_dlcp/research.google.com/en//archive/bigtable-osdi06.pdf http://www.dbthink.com/?p=493, 中文翻译   总结 A Bigtable is a sparse, distri			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MYarBM.html" rel="bookmark">J2EE deployment files&lpar;ejb-jar2&period;0&period;xml&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				j2ee|xml &lt;ejb-jar&gt; The ejb-jar element is the root element of the EJB deployment descriptor. It contains an optional description of the ejb-jar file, optional display name, optional small icon file name, optional large icon file name, mandatory stru			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBQnkz.html" rel="bookmark">关于SQL Server 2000和SQL Server 2005分布式事务能否协同工作的测试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server|分布式 关于SQL Server 2000和SQL Server 2005分布式事务能否协同工作的测试 MS DTC Report 1.      MS DTC 背景 2.      MSDTC 测试目的 3.      MSDTC 测试环境 3.1            本次验证测试环境: 3.2            环境配置 3.3            验证MSDTC 3.4            创建验证用表 4.      Linked Server测试 5.     			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M0vg7z.html" rel="bookmark">ORA-01591故障处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				早晨到办公室听同事说表被锁了,一试,发现表中某字段为1111111的行都被锁了,SELECT都不行.报错误ORA-01591,打开TOAD的Knowledge eXpert,描述很少,只是说由于分布式事务错误而造成锁定.询问同事,昨天通过一个存储过程调用另一个存储过程出了错误,而后者通过透明网关insert一些数据到SQl Server数据库.立即想到打开OEM,谁知道大失所望,进入锁,根本没发现相关的对象被锁定,开始有点郁闷.转而检查会话,该用户有5个会话,都是INACTIVE,不管三七二十一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/dzZorab.html" rel="bookmark">ORACLE 8i的普通连接技术的介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle ORACLE 8i的普通连接技术的介绍 ==================================== 欢迎大家同我交流:小白  enhydra_boy@tom.com 欢迎转载,请保留本声明,谢谢! ====================================   Oracle 8.1.6 中引入普通连接技术的概念(Generic connectivity),这一连接解决方案满足了对许多异种数据库存储的数据访问需求,同时并不需要安装ORACLE的透明网关(O			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9Mx1v7p.html" rel="bookmark">c&num;&comma;oracle的连接字符串，sys用户的解决办法。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|解决|字符串 System.Data.OracleClientOracleConnection.ConnectionString 属性下表为 ConnectionString 内的值列出了有效的名称. 名称 默认值 说明 数据源或服务器   要连接的oracle实例的名称或网络地址 集成安全性 'false' 该连接是否为安全的连接. 可识别的值为 true(极力建议使用).false.yes 和 no. 密码   Oracle 帐户的登录密码(建议不要使用.为了保持较高的安全级别			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbK6Q7z.html" rel="bookmark">&period;NET 对 J2EE&lbrack;2&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				j2ee Picking a Winner: .NET vs. J2EE Although both frameworks stand on a foundation of programming languages, object models and virtual machines, they are strikingly different when you consider the design goals of their runtime environment. The Java			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLOyoRM.html" rel="bookmark">SQL Server 2008 master与msdb数据库的备份与恢复</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  sql server 2005 &amp; 2008 master与msdb数据库的备份与恢复,master与msdb数据库的备份与普通数据库一样,本文主要描述master与msdb数据库的恢复的一些个人积累. 恢复master与msdb数据库关键在于以单用户模式启动,其它并没有太大的区别. 由于系统数据库对Sql Server来说尤其重要,为了确保SQL SERVER系统的正常运行,除了日常备份用户的数据库之外,我们还需要备份系统数据库,如对Master,Model,Msdb(TempDB不需备份			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5O8Db.html" rel="bookmark" class="title">电脑不显示移动硬盘怎么回事</a>
					<div>
						  电脑不显示移动硬盘怎么回事            电脑不显示移动硬盘的解决方法一: 移动硬盘使用时应放在平稳的地方,不要在它正在读写时移动使之受到震动. 在拔下移动硬盘时要严格按照规程操作:等硬盘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3jEwz.html" rel="bookmark" class="title">ASP脚本循环语句</a>
					<div>
						脚本|循环|语句|脚本 在本文上两篇中,我们学习了脚本语言 VBScript 的变量.函数.过程和条件语句,本篇将继续给大家介绍 VBScipt 的循环语句,并对脚本语言在 ASP 中的应用加以总结. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdDeAp.html" rel="bookmark" class="title">移动互联网产品设计&colon;滑动手势功能性设计</a>
					<div>
						文章描述:探索滑动手势. Nokia N9刚刚发布,滑动手势承担了更多的功能性操作.从按键手机到iPhone的Home键,让人不禁联想,实现全触摸屏手机已经指日可待了. iPhone Home键已经承 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8KNZM.html" rel="bookmark" class="title">实战分析玉器类企业站站内优化</a>
					<div>
						想要名列百度首页前茅并非简简单单几个因素就可以提高网站排名的.装备既要精良内功也要足够身后才可以更大限度的提高我们的网站排名,在很多站长论坛中有着很多讨论站内优化的帖子,Q小木科技为大家做一个实战性企 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjy7dz.html" rel="bookmark" class="title">分享新手该怎样书写博客 保护博文</a>
					<div>
						博客现在虽然已经进入了暮年,被微博等热门化产品逐渐代替,但博客自身的宣传价值仍然存在,它现在仍然是站长们做网站优化必不可少的一部分.而且它在知识传递上的作用仍然不可忽视,就像大家熟悉的卢松松博客.月光 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwYgdM.html" rel="bookmark" class="title">AutoCad对点坐标、距离、面积和某个对象质量特性进行查询</a>
					<div>
						点坐标查询 &quot;id&quot;命令用于查询指定点的坐标值.该命令的调用方法为: 工具栏:&quot;Inquiry(查询)&quot;→ 菜单:[Tool(工具)]→[Inquiry(查询) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2vKOM.html" rel="bookmark" class="title">用UML描述Java类</a>
					<div>
						Java程序员的角度阐述UML和对象建模问题,是一个深入浅出的实用性介绍. 虽然从历史和基本理念方面来探讨UML非常吸引人,但我们还是直接从Java代码开 始,看看UML如何描述Java类,再在叙述过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7Rdab.html" rel="bookmark" class="title">Oracle Data Pump详解（2） expdp</a>
					<div>
						导出模式 有以下5种导出模式,它们之间是互斥的,不可以同时使用,注意:有些schemas是不能被导出的, 如SYS, ORDSYS, and MDSYS等. Full模式 设置Full=y(默认为n) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKk55p.html" rel="bookmark" class="title">交互设计师每天是怎么工作的？</a>
					<div>
						  教你高效利用工作时间!今天的主角是@EDC尤原庆 同学,他分别列出了自己在美国.德国和中国的交互设计工作,全都井井有条且轻重得当,最后还附上设计师工作安排的实用经验,非常值得各个领域的同学参考学习 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjmqQb.html" rel="bookmark" class="title">回收站被删除了的恢复方法</a>
					<div>
						  不小心操作把电脑的回收站给删除了,但又担心以后不小心把重要文件删除了,所以还是希望保留回收站更安全,那么回收站删除了怎么恢复呢?下面编辑为新手朋友介绍几种修复被删除的回收站方法. 方法一:回收站删 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGavBb.html" rel="bookmark" class="title">python 正则表达式学习小结</a>
					<div>
						在Python中实现正则的方式是通过re(regular expression的缩写)模块来实现的,你可以调用re模块的各种方法来实现不同的功能,下面我们就来说下,在Python中通过re模块可以调用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW22enb.html" rel="bookmark" class="title">为了编译Yocto Project，ubuntu翻墙，</a>
					<div>
						问题描述 为了编译Yocto Project,ubuntu翻墙, 为了编译Yocto Project,我想翻墙,不知道是不是因为没有翻墙,bitbake edison-image 环节总是断开,根本没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boROAdz.html" rel="bookmark" class="title">mysql-请问php与msql网站源码打包时，需要将数据库里面的表导出吗？</a>
					<div>
						问题描述 请问php与msql网站源码打包时,需要将数据库里面的表导出吗? 如果不导出mysql的表,那么对方是不是就不能正确访问数据库? 现在一般怎样将数据库传给客户方呢? 解决方案 一般是做一个建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAoqOM.html" rel="bookmark" class="title">去网络公司去小型的行吗，能学到东西吗</a>
					<div>
						问题描述 想去网络公司,去不了大公司去小公司行吗?能学到东西吗,做那一块比较好,能对网站运营有个了解 解决方案 我就是在相对大一点的IT公司,规模大概在接近两千人IT公司.个人觉得,大公司,可以学技术 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRdX0b.html" rel="bookmark" class="title">石家庄华鑫改制爆出竞标门</a>
					<div>
						记者 施智梁 石家庄报道 &lt;经济参考报&gt;记者25日下午获悉,河北华鑫集团已于上午完成产权转让合同,&quot;市国资委和中智威公司签约了,我也被中智威当场免职.&quot;集团公司总经理邹 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1lKOz.html" rel="bookmark" class="title">jquery checkbox 全选效果代码</a>
					<div>
						jquery checkbox 全选效果代码,很简单的一句代码就可以了,如$('input[type=checkbox]').attr('checked', $(checkbox).attr('che ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYjEap.html" rel="bookmark" class="title">本机开放的端口及使用该端口的进程的批处理&lowbar;DOS&sol;BAT</a>
					<div>
						复制代码 代码如下: @echo off color 1f Title XP端口-进程查询 setlocal enabledelayedexpansion echo ╔- -╗ echo 本机开放的端 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4mkLz.html" rel="bookmark" class="title">Win7系统任务栏不见了找回教程</a>
					<div>
						1.我们先打开任务管理器了,按下键盘快捷键Ctrl+Shift+ESC打开任务管理器 效果如下图所示; 2.然后我们再点击&quot;文件--新建任务&quot;如下图所示; 3.之后我们再输入 ex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWl6E7p.html" rel="bookmark" class="title">基于Windows 2012配置SQL Server 2014 AlwaysOn</a>
					<div>
						SQLserver 2014 AlwaysOn增强了原有的数据库镜像功能,使得先前的单一数据库故障转移变成以组(多个数据)为单位的故障转移.同时可以支持多达9个复制伙伴,可读性辅助副本服务器等多个特性 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnd7WM.html" rel="bookmark" class="title">内聘网肖恒：互联网创业公司是否值得去看这5点</a>
					<div>
						越来越多的人发现,加入一家优质的创业公司,职业人生就能够驶入快车道.然而,与此同时,我们还要面对的一个现实是:&quot;优质&quot;这个词,毕竟是属于一部分公司的专利.那么问题来了--我们应该如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Jry3z.html" rel="bookmark" class="title">FFMPEG（一） 从V4L2捕获摄像头数据</a>
					<div>
						系列相关博文:               FFMPEG(一) 从V4L2捕获摄像头数据             FFMPEG(二) v4l2 数据格式装换             FFMPEG(三) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ROjnz.html" rel="bookmark" class="title">深入JUnit源码之Runner</a>
					<div>
						初次用文字的方式记录读源码的过程,不知道怎么写,感觉有点贴代码的嫌疑.不过中间还是加入了一些自己的理解和心得,希望以后能够慢慢的改进,感兴趣的童鞋凑合着看吧,感觉JUnit这个框架还是值得看的,里面有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLgLOM.html" rel="bookmark" class="title">PgSQL &CenterDot; 应用案例 &CenterDot; 聚集存储 与 BRIN索引</a>
					<div>
						背景 在现实生活中,人们的各种社会活动,会产生很多的行为数据,比如购物.刷卡.打电话.开房.吃饭.玩游戏.逛网站.聊天 等等. 如果可以把它当成一个虚拟现实(AR)的游戏,我们所有的行为都被记录下来了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4e6QLb.html" rel="bookmark" class="title">网站如何提高流量 也要回头客</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网站建设什么最重要?&quot;废 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodDVBM.html" rel="bookmark" class="title">手机app安全测试工具-有没有类似web安全测试工具那样的应用程序，可以主动的去分析出APP所存在的安全问题</a>
					<div>
						问题描述 有没有类似web安全测试工具那样的应用程序,可以主动的去分析出APP所存在的安全问题 我想请教一下,我给安卓APP进行安全测试,应该如何开展比较好? 抓包.反编译我都做过,但是我不太会人工攻 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnXXVM.html" rel="bookmark" class="title">PRADA入股中国代工企业时代皮具IDG同时跟投</a>
					<div>
						&quot;中国制造&quot;是奢侈品牌保持品牌神秘性和财务控制中纠结的两难话题.PRADA在中国的一家代工企业&quot;时代皮具&quot;即将于12月初在香港上市.PRADA与风险投资基金ID ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAq4ob.html" rel="bookmark" class="title">racle&plus;视频&plus;存储-Oracle数据库存储视频音频能实现吗</a>
					<div>
						问题描述 Oracle数据库存储视频音频能实现吗 我在用Oracle写一个数据库,想实现在数据库表中存储小段视频或者音频的功能,数据库表包含编号.名称.类型以及添加的视频/音频,这能够实现吗?求大神指 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZY3Vb.html" rel="bookmark" class="title">asp&period;net HttpWebRequest自动识别网页编码&lowbar;实用技巧</a>
					<div>
						复制代码 代码如下: static string GetEncoding(string url) { HttpWebRequest request = null; HttpWebResponse re ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0xajp.html" rel="bookmark" class="title">原生js拖拽&lpar;第一课 未兼容&rpar;拖拽思路&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: /* 拖拽流程: 1.第一步点击需要拖动的元素 2.在点击下的元素被选中,进行move移动 3.当鼠标弹起的时候,停止动作 4.点击元素oDIV的时候,可用的是oDIV区域,而m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6G6VOp.html" rel="bookmark" class="title">百度热词和热门事件提升流量</a>
					<div>
						今天站长大手笔要写的是百度热词排行榜.这可真是一个好东西,相信搞过网络推广的朋友,对百度热词和Google热词排行榜都不会陌生. 尝试过利用热词进行网络推广的朋友,相信更是不计其数.本人就在研究利用百 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
